glab(1)

NAME
glab-runner-controller-token-rotate - Rotate a token for a runner controller. (EXPERIMENTAL)

SYNOPSIS
glab runner-controller token rotate [flags]

DESCRIPTION
Replaces the current token with a new one. Store the new token value securely before closing the terminal. You cannot retrieve the token again. Prompts for confirmation before rotation. Use --force to skip the confirmation prompt in non-interactive contexts.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-f, --force[=false]
    Skip confirmation prompt.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Rotate token 1 for runner controller 42 (with confirmation prompt)
    glab runner-controller token rotate 42 1
    # Rotate without confirmation
    glab runner-controller token rotate 42 1 --force
    # Rotate and output as JSON
    glab runner-controller token rotate 42 1 --force --output json

SEE ALSO
glab-runner-controller-token(1)